### Function

# ECal ComponentAttendee new_from_property

since: 3.34

#### Declaration [src]

    ECalComponentAttendee*
    e_cal_component_attendee_new_from_property (
      const ICalProperty* property
    )

#### Description [src]

Creates a new `ECalComponentAttendee`, filled with values from `property`, which should be of kind `I_CAL_ATTENDEE_PROPERTY`. The function returns `NULL` when it is not of the expected kind. Free the structure with e_cal_component_attendee_free(), when no longer needed.

Available since: 3.34

#### Parameters

`property`

  Type: `None`

  An `ICalProperty` of kind `I_CAL_ATTENDEE_PROPERTY`.

  The data is owned by the caller of the function.

#### Return value

Type: `ECalComponentAttendee`

A newly allocated `ECalComponentAttendee`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.